{% extends "base.html" %}

{% block title %}My Auctions{% endblock %}

{% block content %}
      <div class="container">
        <div class="row">
          <div class="col-xs-12">
            <h2 style="margin-top: 0;">My Auctions</h2>

            {% if auctions %}
              <table class="table table-condensed table-hover table-striped auctions-table">
                <thead>
                  <tr>
                    <th>Character</th>
                    <th>Realm</th>
                    <th colspan="2">Item</th>
                    <th>Level</th>
                    <th>Bid</th>
                    <th>Buyout</th>
                    <th>Time Left</th>
                    <th></th>
                  </tr>
                </thead>
                <tbody>
                  {% for auction in auctions %}
                    <tr>
                      <td class="auction-name">{{ auction.owner.name }}</td>
                      <td class="auction-realm">{{ auction.owner_realm.name }}</td>
                      <td class="auction-thing">
                        {% if auction.pet_species_id > 0 %}
                          <img src="/static/img/18/{{ auction.pet.icon }}.jpg" width="18" height="18">
                          <a href="//www.wowhead.com/npc={{ auction.pet.id }}" class="quality{{ auction.pet_quality_id }}">{{ auction.pet.name }}</a>
                        {% else %}
                          <img src="/static/img/18/{{ auction.item.icon }}.jpg" width="18" height="18">
                          <a href="//www.wowhead.com/item={{ auction.item_id }}" class="quality{{ auction.item.quality }}">{{ auction.item.name }}</a>
                        {% endif %}
                      </td>
                      <td class="auction-all">
                        {% if auction.pet_species_id > 0 %}
                          <a href="{% url 'auctions:pets' %}?region={{ auction.owner_realm.region }}&pet_name={{ auction.pet.name }}">[all]</a>
                        {% else %}
                        {% endif %}
                      </td>
                      <td class="auction-level">
                        {% if auction.pet_species_id > 0 %}
                          {{ auction.pet_level }}
                        {% else %}
                          {{ auction.item.item_level }}
                        {% endif %}
                      </td>
                      <td class="auction-price">{{ auction.nice_bid }}</td>
                      <td class="auction-price">{{ auction.nice_buyout }}</td>
                      <td class="auction-remaining">{{ auction.nice_time_left }}</td>
                      <td></td>
                    </tr>
                  {% endfor %}
                </tbody>
              </table>
            {% endif %}
          </div>
        </div>
      </div>
{% endblock %}
